body, textarea, button, input, form, img, div, span, tr, td, ul, li {
  margin: 0;
  padding: 0;
  border: 0;
}

textarea {
  resize: none;
}

.noselect {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.cb {
  clear: both;
}

.cl {
  clear: left;
}

.cr {
  clear: right;
}

.fl {
  float: left;
}

.fr {
  float: right;
}

.br {
  border: 1px #f00 solid;
}

.bg {
  border: 1px #0f0 solid;
}

.bgr {
  background: #f00;
}

.bgg {
  background: #0f0;
}

.bgb {
  background: #00f;
}

.err {
  color: #aa0000
}

.fwb {
  font-weight: bold
}

.mr5 {
  margin-right: 5px;
}

.mr10 {
  margin-right: 10px;
}

:focus {
  outline: none
}

* {
  font-family: Arial, Verdana, Geneva, sans-serif;
  font-size: 11px;
}

.tac {
  text-align: center;
}

.tar {
  text-align: right;
}

.tal {
  text-align: left;
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

body {
  color: #000;
  overflow: hidden;
}

#btnLogout {
  display: none;
}

div.btnLang {
  width: 18px;
  height: 12px;
  cursor: pointer;
  margin: 5px 5px 0 0;
  background-repeat: no-repeat !important;
  background-size: cover !important;
  background-position: center center !important;
}

#parser-headerInfo {
  font-weight: normal;
  margin-left: 30px;
  padding-top: 15px;
  display: none;
}

#parser-header {
  height: 34px;
  padding: 5px;
  display: none;
}

.headerInfo {
  margin-left: 50px;
}

#parser-content {
  width: 100%;
  display: none;
  overflow: hidden;
}

.parser-labelwrapper-label {
  width: 1px;
  display: table-cell;
  vertical-align: middle;
}

.parser-label {
  width: 1px;
  height: 22px;
  display: table-cell;
  vertical-align: middle;
}

div.parser-labelwrapper-content {
  display: table-cell;
  width: 100%;
}

.parser-divider {
  width: 100%;
}

.parser-divider-hcontent {
  border-right: 1px #000 solid;
  float: left;
  overflow: hidden;
}

.parser-labelwrapper-wrapper {
  display: table-row;
}

div.parser-ajaxselect {
  padding: 2px 0;
  width: 100%;
  display: block;
}

.parser-input {
  width: 100%;
  font: inherit;
  color: inherit;
  text-align: left;
  outline: none;
  cursor: text;
  padding: 2px;
  margin: 2px 0;
  background: #fff;
  line-height: normal;
}

.parser-ajaxselect {
  width: 100%;
  font: inherit;
  color: inherit;
  text-align: left;
  outline: none;
  cursor: text;
  padding: 1px 2px;
}

.parser-textarea {
  padding: 2px;
  margin: 2px 0;
  width: 100%;
  background: #fff;
}

.parser-textarea-holder, .parser-input-holder {
  padding-right: 6px;
}

.parser-textarea-holder-html {
  padding-right: 2px;
}

.parser-button {
  margin: 2px 0 2px 4px;
}

.parser-tabs-holder {
  padding: 0;
  margin: 2px;
}

.parser-tabs-ul {
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.parser-tabs-content {
  padding: 0;
}

.parser-tabs-li {
  padding: 2px 5px;
}

.parser-panel {
  background-color: #eeeeee;
  border: 1px #dddddd solid;
  padding: 2px 4px;
  margin: 2px;
}

.parser-panel-inner {
  width: 100%;
  height: 100%;
  display: block;
}

div.parser-alert {
  padding: 5px;
  margin: 2px 0;
}

div.parser-alert span {
  float: left;
  margin: -1px .3em 0 0;
}

.ui-tabs .ui-tabs-panel {
  padding: 2px;
}

table.dataTable td.row_highlight {
  border-bottom: 1px #888 solid;
  background-color: #f4f4f4;
}

.ui-datepicker {
  margin: 0 auto;
}

.input-disabled {
  background: #f5f5f5 !important;
  opacity: 1 !important;
}

.input-required {
  background: #FDFCCA !important;
}

.subleftmenu .ui-accordion-header {
  padding: 4px 0 4px 30px !important;
  margin-top: 0 !important;
  color: #000000 !important;
  font-weight: normal !important;
  background: ffffff !important;
  border-top: 0;
}

.subleftmenu .ui-accordion-content {
  padding: 2px 4px !important;
}

.ui-dialog, .ui-dialog-buttonpane {
  background: #fff;
}

.ui-dialog .ui-dialog-buttonpane {
  padding: 0;
}

.ui-dialog .ui-dialog-buttonset button {
  margin: 4px 4px 3px 0px;
}

.no-close .ui-dialog-titlebar-close {
  display: none;
}

.ui-dialog-titlebar-hidden > .ui-dialog-titlebar {
  display: none;
}

.dataTables_scrollBody {
  background-color: #eee;
}

.data-table-with-v-scroll {
  width: calc(100% - 23px) !important;
}

.data-table-scroll {
  min-width: calc(100% + 17px) !important;
}

.row_selected, .row_selected td {
  background-color: #8abaff;
}

table.dataTable tbody th, table.dataTable tbody td {
  padding: 4px 10px;
  border-bottom: 1px solid #E2E4FF;
}

table.dataTable thead th {
  padding: 2px 5px 2px 10px;
}

.dataTables_wrapper .ui-toolbar {
  padding: 5px
}

.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing,
.dataTables_wrapper .dataTables_paginate {
  color: #fff;
}

.dataTables_wrapper .dataTables_paginate .fg-button {
  padding: 3px;
  margin-left: 3px;
  border: 1px solid #cccccc;
}

.dataTables_wrapper .dataTables_paginate .fg-button:first-child {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.dataTables_wrapper .dataTables_paginate .fg-button:last-child {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.ui-accordion .ui-accordion-content {
  padding: 0;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  border-top: 0;
  border-left: 0;
  border-right: 0;
}

.ui-accordion .ui-accordion-header {
  border-top-right-radius: 0;
  border-top-left-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.ui-state-red span.ui-button-text {
  background: rgba(255, 64, 64, 0.8);
  color: #fff
}

input.ui-widget-content, select.ui-widget-content, textarea.ui-widget-content {
  color: #000 !important;
}

.parser-button-small .ui-button-text {
  padding-top: 2px;
  padding-bottom: 2px;
}

.parser-checkbox {
  width: 10px;
  height: 10px;
  margin-left: auto;
  margin-right: auto;
  cursor: pointer;
}

.ui-parser-checkbox-checked {
  background-image: url(images/checkbox.png);
  background-repeat: no-repeat;
}

.parser-checkbox-holder {
  float: left;
}

div.jHtmlArea {
  margin: 2px -4px 2px 0;
  border: 1px #dddddd solid;
}

div.jHtmlArea .ToolBar ul {
  border: 0;
  border-right: 1px #dddddd solid;
  margin: 0;
}

div.jHtmlArea .ToolBar ul li a.highlighted {
  border: 0;
}

.ui-autocomplete {
  z-index: 1000
}

.parser-image-button {
  text-align: center;
  padding: 0px;
}

.parser-image-button-img {
  border: 0px !important;
  background: none !important;
}

.parser-content-holder {
  padding: 0;
}

.parser-content-panel-left {
  padding: 0;
  float: left;
}

.parser-content-panel-right {
  padding: 0;
  float: right;
}

.parser-content-panel {
  padding: 0;
}

.parser-content-panel-filter {}

.parser-content-panel-table {
  padding: 5px;
}

.parser-content-panel-detail {}

.parser-content-panel-menu {
  border: 0px #dddddd solid;
  padding-top: 2px;
}

.parser-calendar {}

.parser-calendar-header {
  text-align: center;
  font-size: 16px;
  font-weight: bold;
  padding-bottom: 5px;
}

.parser-calendar-tbl {
  border-collapse: collapse;
}

.parser-calendar-tbl th {
  border: 1px #dddddd solid;
  padding-bottom: 1px;
}

.parser-calendar-tbl td {
  vertical-align: top;
  border: 1px #dddddd solid;
  height: 60px
}

.parser-calendar-day-cell {
  width: 90%;
  text-align: right;
  font-size: 15px;
  font-weight: bold;
  padding-top: 5px;
}

.parser-calendar-cell {
  padding-top: 5px;
  padding-left: 5px;
}

.login_background {}

.right_false {
  color: #ffffff;
  font-weight: bold;
  background-color: #c0504d !important;
}

.right_true {
  color: #ffffff;
  font-weight: bold;
  background-color: #008000 !important;
}

.parser-left-menu2 {
  position: absolute;
  z-index: 10000;
  height: 100%;
  width: 40px;
  background-color: #3f3e41;
}

.parser-left-menu2-content {}

.parser-left-menu2-element {
  height: 41px;
  position: relative;
  cursor: pointer;
  overflow: hidden;
}

.parser-left-menu2-element:HOVER {
  background-color: #8a878d;
}

.parser-left-menu2-element_current {
  background-color: #8a878d;
}

.parser-left-menu2-icon {
  width: 30px;
  padding-left: 5px;
  padding-bottom: 5px;
  padding-top: 5px;
}

.parser-left-menu2-label {
  width: 200px;
  display: none;
  position: relative;
  z-index: 120;
  left: 14px;
  font-weight: bold;
  font-size: 14px;
  color: #ffffff;
  padding-top: 13px;
}

.leftMenuHeader {
  font-size: 28px;
  color: #ffffff;
  padding: 10px;
}

.leftMenuFooter {
  position: absolute;
  left: -12px;
  bottom: 1px;
  padding: 10px
}

.parser-dataTable-label-header {
  cursor: default !important;
}

.parser-left-menu-text {
  position: relative;
  bottom: 5px;
  left: 10px;
  font-size: 14px;
}

.parser-chart-div {
  padding: 5px;
  width: 100%;
  margin: 0 auto;
}

.parser-chart-label {
  padding: 5px;
  font-size: 20px;
  font-weight: bold;
  width: 100%;
}

.parser-chart-legend-ul {
  list-style-type: none;
}

.parser-chart-legend-li {}

.parser-chart-legend-color-div {
  float: left;
  margin-right: 10px;
  width: 15px;
  height: 15px;
}

.parser-chart-legend-text-div {
  font-size: 14px;
}

.parser-wizard-title {
  width: 100%;
  height: 30px;
  font-size: 20px;
  font-weight: bold;
}

.parser-wizard-content {
  width: 100%;
  height: calc(100% - 110px);
}

.parser-wizard-page-content {
  width: 100%;
}

.parser-wizard-progres {
  height: 50px;
  position: relative;
  width: 100%;
  bottom: 20px;
}

.parser-wizard-progres-step {
  text-align: center;
}

.parser-wizard-step-div {
  position: relative;
  width: 40px;
  height: 40px;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  border-radius: 20px;
  font-size: 22px;
  color: white;
  font-weight: bold;
  text-align: center;
  padding-top: 7px;
  display: inline-block;
  vertical-align: middle;
  box-sizing: border-box;
}

.parser-wizard-step-line {
  position: absolute;
  top: 17px;
  height: 6px;
  box-sizing: border-box;
}

.parser-wizard-step-done {
  background: green;
}

.parser-wizard-step-inprogress {
  background: orange;
}

.parser-wizard-step-todo {
  background: #dddddd;
}

.parser-wizard-progres-title {
  height: 20px;
  position: relative;
  width: 100%;
  bottom: 10px;
}

.parser-wizard-progres-step-title {
  text-align: center;
  font-size: 16px;
  font-weight: bold;
}

.parser-wizard-content-navigation {
  height: 30px;
  position: relative;
  width: 100%;
  bottom: 0px;
}

.parser-wizard-description {
  padding-left: 10px;
  font-size: 18px;
  color: green;
}

.parser-captcha-holder {
  width: 100%;
  padding: 5px;
  text-align: right;
}

button img.parser-btn-icon {
  margin: -3px -9px 0 -9px
}

.parser-fileupload-holder {
  padding: 4px;
}

/* <!-- nowe Css --> */
.logDelete {
  background-color: #ff0000 !important;
}

.logUpdate {
  background-color: #ff9900 !important;
}

.logInsert {
  background-color: #00cb00 !important;
}

.comments {
  color: #ef8c08;
}

.commentIconMiniature {
  vertical-align: top;
  margin-left: 2px;
}

.noComments {
  color: #333 !important;
}

.comment {
  padding: 5px;
  background: grey;
}

.commentsTooltip {
  max-width: 100%;
}

.commentList {
  max-width: 100%;
  height: 418px;
  overflow-y: scroll;
}

.commentContent {
  color: #666;
  background: #fff;
  margin-top: 3px;
  padding: 5px 5px 1px 5px;
  border: 1px solid #bbb;
  width: calc(100% - 20px);
  word-wrap: break-word;
  display: inline-block;
}

.commentAuthor {
  font-weight: bold;
  text-align: right;
}

.commentDate {
  margin-top: -5px;
  padding-left: 5px;
  text-align: right;
}

.commentSetting {
  text-align: center;
  vertical-align: top;
  display: inline-block;
  color: #666;
}

.commentType {
  margin-left: 5px;
  margin-top: 2px;
}

.commentIcon {
  margin-left: 5px;
  margin-top: 2px;
}

.activeButton {
  opacity: 1 !important;
  box-shadow: 0px 0px 1px 2px #444;
}

.notActiveButton {
  box-shadow: 0px 0px 1px 1px #908c8c;
  opacity: 0.5;
}

.notActiveButton:hover {
  box-shadow: 0px 0px 1px 1px #908c8c;
  opacity: 1;
}

.inLine {
  display: inline-block;
}

.commentWarrningType {
  background-image: url(/images/commentQuestionType.png)
}

.ActiveLang {
  width: 18px;
  height: 12px;
  cursor: pointer;
  margin: 5px 5px 0 0;
  background-repeat: no-repeat !important;
  background-size: cover !important;
  background-position: center center !important;
}

.notifications-panel {
  width: auto;
  max-width: 450px;
  height: 0px;
  max-height: 600px;
}

.notifications-header {
  color: #000;
  border-bottom: 1px solid #000;
  width: 99%;
  overflow-y: hidden;
  margin-bottom: 5px;
}

.notifications-line {
  color: #000;
  padding: 10px 0 5px 0;
  border-bottom: 1px solid #000;
  width: 100%;
  background: #fff;
}

.notifications-unread {
  background: #efefef;
}

.notifications-unread:hover {
  background: #dedede;
  cursor: pointer;
}

div#tlpPush {
  width: 30px;
  height: 30px;
  cursor: pointer;
  margin: 5px 15px 0 0;
  background-repeat: no-repeat !important;
  background-size: cover !important;
  background-position: center center !important;
}

@keyframes bellring {
  0% { transform: rotate(0deg); }
  2.5% { transform: rotate(15deg); }
  5% { transform: rotate(-15deg); }
  7.5% { transform: rotate(15deg); }
  10% { transform: rotate(-15deg); }
  12.5% { transform: rotate(15deg); }
  15% { transform: rotate(-15deg); }
  17.5% { transform: rotate(15deg); }
  20% { transform: rotate(-15deg); }
  22.5% { transform: rotate(15deg); }
  25% { transform: rotate(0deg); }
  100% { transform: rotate(0deg); }
}

.tlp-push-new-alert {
  animation: bellring 10s infinite;
} 

#pushClear:hover, #pushRead:hover, #pushSoundAlert {
  cursor: pointer;
}

.loginBackground {
  height: 100%;
  width: 100%;
  background-image: url("images/login_bg.jpg");
  background-size: 100%;
}

.loginHolder {
  bbackground: #edf2f8;
  background: #fff;
  bborder: 1px #d1d2d4 solid;
  border: 2px #4990d2 solid;
  border-radius: 4px;
  position: absolute;
  left: calc(50% - 130px);
  top: calc(50% - 250px);
  padding: 7px 10px 10px 10px;
}

.loginText {
  font-size: 18px;
  color: #999b9f;
  text-align: center;
  letter-spacing: 1px;
}

.loginAppName {
  width: 254px;
  font-size: 18px;
  ccolor: #676767;
  color: #4990d2;
  text-align: center;
  letter-spacing: 1px;
}

.loginShortDescription {
  width: 254px;
  ccolor: #676767;
  color: #999b9f;
  text-align: center;
}

.newButton {
  margin: 20px 0px 0px 0px !important;
  background-color: #4990d2 !important;
  color: #fff !important;
  border: none !important;
  bborder-radius: 3px;
  width: 100% !important;
  padding: 3px 0px;
}

.newButton:hover {
  background-color: #307bc0 !important;
}

.ui-button-text {
  font-size: 12px
}

#mainSearch {
  margin-top: 4px;
  padding-bottom: 10px;
}

#mainSearch:hover {
  cursor: pointer;
}

.get-file:hover {
  cursor: pointer;
}

.deleteFile {
  padding-top: 3px;
}

.deleteFile:hover {
  cursor: pointer;
}

.parser-file-upload input.file-upload {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  right: 0;
  cursor: pointer;
  opacity: 0;
  filter: alpha(opacity=0);
}

.parser-file-upload-doc-list {
  background: #ffffff;
  border: 1px solid #dfdfdf;
  overflow-y: scroll
}

.parser-file-upload-doc-dt {
  background: #ffffff;
  border: 1px solid #dfdfdf;
  overflow-y: hidden 
}

.fullWidth {
  width: 100%;
}

.disableFileUpload {
  color: #c7c7c7 !important;
}

.main-search-contener {
  width: 165px;
  background: #fff;
  height: 24px;
  margin: 7px 5px 7px 8px;
  border: 1px #c6c6ca solid;
  border-radius: 3px;
}

.main-search-value-panel {
  font-size: 14px;
  color: #d1d2d4;
  padding: 3px 0px 0px 7px;
  color: #d1d2d4;
  font-size: 14px;
}

.logout-panel {
  height: 100%;
  width: 40px;
  padding: 0px;
  border-left: 1px #d1d1d4 solid;
}

.logout-image {
  height: 20px;
  margin-left: 10px;
  margin-top: 5px;
  margin-bottom: 0px;
}

.login-name {
  color: #999b9f;
  font-size: 17px;
}

.logout-time {
  color: #999b9f;
  font-size: 10px;
}

.headerContentSearchButton {
  padding: 1px !important;
}

.searchContent {
  background: #edf2f8 !important;
  width: 190px;
  height: 100%;
  border-right: 1px #d1d2d4 solid !important;
  position: fixed;
  padding: 0px !important;
}

.mainContent {
  margin: 5px 5px 10px 190px !important;
  width: calc(100% - 190px);
}

.newButtonMarginTop {
  margin: 5px 0 0 0 !important;
}

.editImage {
  width: 15px;
  height: 15px;
  padding-top: 4px;
}

.columnHeader {
  padding-top: 1px !important;
  padding-bottom: 0px !important;
}

.resetPassword {
  color: #999b9f;
}

.resetPassword:hover {
  color: #4990d2;
  cursor: pointer;
}

.pd0 {
  padding: 0px;
}

.backToLogin {
  padding-top: 10px;
  color: #4990d2;
  border-bottom: 1px solid #4990d2;
  font-size: 18px;
}

.backToLogin:hover {
  cursor: pointer;
  font-weight: bold;
}

#recoverPasswordDialog>.parser-captcha-holder {
  padding-left: 0px;
  padding-right: 0px;
}

.ActiveLangLogin {
  width: 18px;
  height: 12px;
  cursor: pointer;
  margin: 5px 5px 0 0;
}

.parser-imageselect-div {
  border: 1px #dddddd solid;
  background: #ffffff !important;
}

.parser-imageselect-tbl {
  width: 100%;
  border-spacing: 0px;
}

.parser-imageselect-tbl td {
  padding-left: 20px;
}

.parser-imageselect-vertical-tbl {
  width: 100%;
  border-spacing: 0px;
}

.parser-imageselect-vertical-tbl td {
  padding: 5px;
}

.parser-imageselect {}

.parser-imageselect-selected {
  background: #cff3c5;
}

.maintenance-panel {
  width: 550px;
  height: 100px;
  background: #fff;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  margin: auto;
  border: 2px #4990d2 solid;
}

.maintenance-text {
  padding: 20px 0px 40px 0px;
  font-size: 50px;
  font-weight: bold;
  color: #4990d2;
  text-align: center;
  width: 100%
}

.maintenance-logo {
  width: 120px;
  padding: 5px;
}

.chosen-container-multi .chosen-choices li.search-choice {
  padding: 3px 20px 3px 5px !important;
  margin: 0px 5px 0px 0px !important;
  border: 0 !important;
}

.chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
  top: 3px !important;
}

.chosen-container-multi .chosen-choices {
  border: 0 !important;
}

.chosen-container-multi .chosen-choices li.search-field input[type=text] {
  height: 14px !important;
}

.chosen-container .chosen-drop {
  border: 0 !important;
}

.captcha-panel-outer {
  border: 4px solid #4990d2 !important;
  background: #fff !important;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.captcha-panel-inner {
  padding: 10px;
}

.captcha-panel-holder {
  display: none !important;
  position: absolute;
  top: -40px;
  left: 0px;
  width: 100%;
  height: calc(100% + 40px);
  z-index: 300;
  background: rgba(0, 0, 0, 0.8);
}

.tooltipster-push .tooltipster-box {
  max-height: 500px;
  box-shadow: 5px 6px 20px 11px rgba(0, 0, 0, 0.1);
  border-radius: 7px !important;
}

.notifications-img {
  width: 15px;
  height: 15px;
  margin-right: 5px;
}

.notifications-read .notifications-img {
  background-image: url("images/005-checked-symbol-blue.png");
  background-repeat: no-repeat;
  background-size: contain;
}

.notifications-unread .notifications-img {
  background-image: url("images/005-cancel-button-red.png");
  background-repeat: no-repeat;
  background-size: contain;
}

.map-tooltip {
  top: -38px;
  background-color: rgba(255, 255, 255, 0.8);
  border-color: rgba(255, 255, 255, 0.8);
}

.confirmation-message-div {
  position: absolute;
  bottom: 30px;
  right: 10px;
  min-width: 150px;
  padding-left: 30px;
  padding-right: 30px;
  padding-top: 10px;
  padding-bottom: 10px;
  opacity: 0.7;
  color: #ffffff;
  font-style: bold;
  font-size: 18px;
  border-radius: 4px;
  text-align: center;
}

.save-confirmation-success {
  background-color: green;
}

.save-confirmation-error {
  background-color: red;
}

.delete-confirmation-success {
  background-color: orange;
}

.info-confirmation-message {
  background-color: blue;
}

.instruction-header-label {
  font-size: 13px;
  font-weight: bold;
}

.panel-left-border {
  height: 100% !important;
  border-left: 1px #bbbbbb solid !important;
}

.imageButtonNew {
  margin-bottom: 8px;
}

.file-list-holder {
  padding: 10px;
  box-sizing: border-box;
}

.file-list-cell {
  min-width: 200px;
  width: 25%;
  float: left;
  display: block;
  padding: 10px;
  box-sizing: border-box;
}

.file-list-header {
  width: 100%;
  padding: 7px 0px 5px 5px;
  font-size: 16px;
  background-color: #eee;
  color: #4990d2 !important;
  height: 40px;
  border-bottom: 1px solid #cccccc;
  box-sizing: border-box;
  font-weight: bold;
  text-align: center;
}

.file-list-content {
  background-color: #fff;
  border: 1px solid #ddd;
}

.file-list-row {
  background-image: url("/css/core/images/icDetail1.png");
  background-repeat: no-repeat;
  padding: 5px 10px;
  cursor: pointer;
  background-size: contain;
  background-position: right;
  background-origin: content-box;
  height: 14px;
}

.file-list-row:hover {
  background-color: #f0f0f0;
  background-image: url("/css/core/images/ico-search-black.png");
}

/* import-dialog */
.input-import-summary {
  font-weight: bold;
  font-size: 13px;
}

.import-error {
  font-size: 14px;
  color: red;
  padding: 5px !important;
}

#itErrorQuantity {
  color: red !important;
}

#itSuccessQuantity {
  color: green !important;
}

#panelError {
  max-height: 500px;
  overflow-y: scroll;
}

.headerLabel {
  font-size: 15px !important;
  padding: 10px 0px;
  font-weight: bold;
}

#app-version {
  font-weight: normal;
  font-size: 15px;
  font-family: Roboto, Arial;
  color: #8b919b;
  width: 100%;
  position: absolute;
  bottom: 5px;
  display: none;
  left: 10px
}

.restDialogItem {
  width: 48%;
  font-size: 2rem;
  overflow-wrap: break-word;
  overflow: scroll;
}

#restRequest:after {
  content: "";
  background-color: #000;
  position: absolute;
  width: 2px;
  height: 88%;
  top: 5%;
  left: 50%;
  display: block;
  opacity: 0.3;
}

.restDialogHeader {
  width: 50%;
  padding-bottom: 2.5%;
  text-align: center;
  color: #4990d2;
  font-size: 2rem;

}

#restDialog {
  flex-wrap: wrap;
  display: flex;
  justify-content: space-between;
}

#restDialog>div {
  /* flex: 50%; */
}

.datatable-info-holder {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

.datatable-info {
  width: 200px;
  height: 100px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -100px;
  margin-top: -50px;
  /* half height*/
}

.datatable-info-label {
  padding: 10px
}

.datatable-error {
  color: #f54242;
}

.parser-ajaxselect-chosen {
  display: block !important;
}

.checkbox-disabled {
  background-color: rgb(245, 245, 245, 0.5) !important;
}

.ac-item-name {
  flex: 1;
}

.ac-item-description {
  flex: 1;
  text-align: right;
  color: #6e6d6d;
  font-size: 0.9em
}

#headerBookmarkName {
  margin-left: 10px;
  margin-right: 10px;
  float: left;
  line-height: 41px;
  font-size: 20px;
  color: #4990d2;
  font-weight: bold;
}

#userProfile {
  width: 60px;
  height: 60%;
  border-radius: 100px;
  text-align: center;
  color: #000000;
  font-weight: 700;
  cursor: pointer;
  transition: 0.5s;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  border: #bbbbbb solid 1px;
}

#userProfile.hovered {
  width: 200px;
  justify-content: flex-end;
  border: #6d6d6d solid 1px;
}

#userSettingsIcon {
  width: 20px;
  height: 20px;
  margin: 0 5px 0 25%;
}

.user-profile-holder {
  display: flex;
  height: 100%;
  width: auto;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-right: 5px;
}

#userProfileTooltipster {
  width: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.user-tooltipster-row {
  position: relative;
  display: inline-block;
  padding-bottom: 5px;
  width: 100%;
  padding: 5px;
  color: #1d1d1d;
  cursor: pointer;
  font-size: 12px;
  text-align: center;
  font-weight: 700;
}

.user-tooltipster-row::after {
  content: '';
  position: absolute;
  left: 50%;
  bottom: 0;
  width: 0;
  height: 1px;
  background-color: #1d1d1d;
  transition: width 0.3s ease, left 0.3s ease;
}

.user-tooltipster-row:hover::after {
  width: 100%;
  left: 0;
}

.change-pass-wrapper {
  display: flex;
  width: 100%;
  justify-content: space-around;
  text-align: center;
  margin: 10px 0 10px 0;
}


.change-pass-wrapper>div {
  font-size: 14px;
  width: 45%;
  text-align: left;
}

[aria-describedby="userChangePassword"] {
  min-width: 400px;
}

#userChangePassword {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  padding: 0;
}

#userChangePasswordContent {
  margin: 15px 0 0 10px;
  width: 75%;
}

.pass-box {
  position: relative;
  margin-bottom: 10px;
  width: 100%;
}

.pass-box input {
  width: 100%;
  padding: 10px 0;
  font-size: 16px;
  color: #333;
  margin-bottom: 10px;
  border: none;
  border-bottom: 1px solid #333;
  outline: none;
  background: transparent;
}

.pass-box label {
  position: absolute;
  top: 0;
  left: 0;
  padding: 10px 0;
  font-size: 16px;
  color: #333;
  pointer-events: none;
  transition: 0.3s;
}

.pass-box input:focus~label,
.pass-box input:valid~label {
  transform: translateY(-20px);
  font-size: 14px;
  color: #333;
}

.password-toggle-icon {
  position: absolute;
  top: 30%;
  right: 0px;
  transform: translateY(-50%);
  cursor: pointer;
}

.password-toggle-icon i {
  font-size: 20px;
}

input#itNewPassRepeat.ui-state-error, input#itUserChangePassNew.ui-state-error, input#itUserCurrentPass.ui-state-error {
  border-bottom: 1px solid #f54242 !important;
  border-top: 0px !important;
  border-left: 0px !important;
  border-right: 0px !important;
}

.label-error {
  color: #f54242 !important;
  font-weight: 600;
}

#tblListFileUploadHolder table.dataTable thead th:NTH-CHILD(2) {
  min-width: 70px;
}

.tbl-rest-response-time-default {
  background: #eaeaea;
  color: #676767;
  padding: 4px 8px;
  border-radius: 3px;
  width: 70px;
  text-align: right;
  float: right;
}

.tbl-rest-response-time-warning {
  background: rgba(242, 194, 130, 0.5);
  color: #b26238;
}

.tbl-rest-response-time-error {
  background: rgba(173, 39, 46, 0.3);
  color: #ad272e;
}

.tbl-rest-button-data .ui-button-text-only {
  background: #f0f0f0 !important;
  color: #343434 !important;
	border-radius: 3px;
}

.tbl-rest-button-data .ui-button-text-only:hover {
  background: #cdcdcd !important;
	color: #000 !important;
}

.tbl-rest-button-data .ui-button-text-only .ui-button-text {
	font-size: 12px;
	padding: 4px 16px;
}

.parser-fileupload-paste-tooltip {
  display: none;
  position: absolute;
  background: #4CAF50;
  color: white;
  padding: 5px 10px;
  border-radius: 4px;
  font-size: 12px;
  z-index: 9999;
  white-space: nowrap;
}
